<!-- End of Topbar -->


<div id="wrapper">

    <!-- Sidebar -->
    <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">

        <!-- Sidebar - Brand -->
        <a [routerLink]="'/ac'" class="sidebar-brand d-flex align-items-center justify-content-center">
            
                <img src="../assets/img/qqq.png" class="img-thumbnail" alt="sab" width="100" height="70"> 
            
            
        </a>

        <!-- Divider -->
        <hr class="sidebar-divider my-0">

        <!-- Nav Item - Dashboard -->
        <li class="nav-item">
            <a [routerLink]="'/ac'" class="nav-link">
                <i class="fas fa-fw fa-tachometer-alt"></i>
                <span>Tableau de bord</span></a>
        </li>

        <!-- Divider -->
        <hr class="sidebar-divider">

        <!-- Heading -->
        <div class="sidebar-heading">
            Interface
        </div>

        <!-- Nav Item - Pages Collapse Menu -->
        <li class="nav-item">
            <a aria-controls="collapseTwo" aria-expanded="true" class="nav-link collapsed" data-target="#collapseTwo"
               data-toggle="collapse" href="#">
                <i class="fas fa-check"></i>
                <span>Souscription</span>
            </a>
            <div aria-labelledby="headingTwo" class="collapse" data-parent="#accordionSidebar" id="collapseTwo">
                <div class="bg-white py-2 collapse-inner rounded">
                    <h6 class="collapse-header">Souscription</h6>
                    <a [routerLink]="'/sous'" class="collapse-item">Souscription</a>


                    <a [routerLink]="'/sousvalider'" class="collapse-item"> valider</a>
                    <a [routerLink]="'/sousnonvalider'" class="collapse-item"> non valider</a>
                    <a [routerLink]="'/between'" class="collapse-item"> selon date</a>
                    <!-- <a [routerLink]="'/compte'" class="collapse-item">compte</a> -->

                </div>
            </div>
        </li>
        <li class="nav-item">
            <a [routerLink]="'/prodsous'" class="nav-link">
                <i class="fa fa-angellist"></i>
                <span>Produit souscrire</span></a>
        </li>
        <li class="nav-item">
            <a aria-controls="collapsePages" aria-expanded="true" class="nav-link collapsed"
               data-target="#collapseproduit"
               data-toggle="collapse">
                <i class="fas fa-user"></i>
                <span>Client</span>
            </a>
            <div aria-labelledby="headingPages" class="collapse" data-parent="#accordionSidebar" id="collapseproduit">
                <div class="bg-white py-2 collapse-inner rounded">
                    <h6 class="collapse-header">Client:</h6>

                    <div class="collapse-divider"></div>
                    <a class="collapse-item" routerLink="/client">Client</a>

                    <div *ngFor="let s of cat"><a class="collapse-item" routerLink="/cltcat/{{s.id}}">{{s.nom}}</a>
                    </div>

                </div>
            </div>
        </li>
        
        <li class="nav-item">
            <a [routerLink]="'/compte'" class="nav-link">
                <i class="fas fa-money-bill-alt"></i>
                <span>compte</span></a>
        </li>
        <li class="nav-item">
            <a [routerLink]="'/tcpp'" class="nav-link">
                <i class="fas fa-euro-sign"></i>
                <span>Type compte</span></a>
        </li>
        <li class="nav-item">
            <a [routerLink]="'/ag'" class="nav-link">
                <i class="fas fa-fw fa-table"></i>
                <span>agences</span></a>
        </li>
        
        <li class="nav-item">
            <a aria-controls="collapseTwo" aria-expanded="true" class="nav-link collapsed" data-target="#collapsecredit"
               data-toggle="collapse" href="#">
                <i class="fas fa-fw fa-cog"></i>
                <span>credit</span>
            </a>
            <div aria-labelledby="headingTwo" class="collapse" data-parent="#accordionSidebar" id="collapsecredit">
                <div class="bg-white py-2 collapse-inner rounded">
                    <h6 class="collapse-header">Credit</h6>
                    <a [routerLink]="'/credit'" class="collapse-item">credit</a>


                    <a [routerLink]="'/creditoui'" class="collapse-item">Creditvalider</a>
                    <a [routerLink]="'/creditnon'" class="collapse-item">Credit non valider</a>

                </div>
            </div>
        </li>

        <li class="nav-item">
            <a aria-controls="collapseTwo" aria-expanded="true" class="nav-link collapsed" data-target="#collapsett"
               data-toggle="collapse">
                <i class="fab fa-product-hunt"></i>
                <span>produits</span>
            </a>
            <div aria-labelledby="headingTwo" class="collapse" data-parent="#accordionSidebar" id="collapsett">
                <div class="bg-white py-2 collapse-inner rounded">
                    <h6 class="collapse-header">produits</h6>
                    <a class="collapse-item" routerLink="/prod">Gestion des produit</a>
                    <h6 class="collapse-header">prod</h6>
                    <a class="collapse-item" routerLink="/pdf"> produit</a>
                    <div *ngFor="let z of cars"><a class="collapse-item"
                                                   routerLink="/prodfilter/{{z.id}}">{{z.libelle}}</a></div>

                </div>
            </div>
        </li>
        <li class="nav-item">
            <a [routerLink]="'/type'" class="nav-link">
                <i class="fab fa-product-hunt"></i>
                <span>TypeProduit</span></a>
        </li>
        <li class="nav-item">
            <a [routerLink]="'/carte'" class="nav-link">
                <i class="far fa-copyright"></i>
                <span>carte</span></a>
        </li>
        <li class="nav-item">
            <a [routerLink]="'/cav'" class="nav-link">
                <i class="fas fa-money-bill-alt"></i>
                <span>Ecopage</span></a>
        </li>
        <li class="nav-item">
            <a [routerLink]="'/ce'" class="nav-link">
                <i class="fas fa-money-bill-alt"></i>
                <span>Facilité de caisse</span></a>
        </li>
        <li class="nav-item">
            <a [routerLink]="'/bad'" class="nav-link">
                <i class="fas fa-mobile-alt"></i>
                <span>Banque a distance</span></a>
        </li>
        <li class="nav-item">
            <a [routerLink]="'/cheque'" class="nav-link">
                <i class="far fa-address-card"></i>
                <span>cheque</span></a>
        </li>


        <!-- Divider -->
        <hr class="sidebar-divider">

        <!-- Heading -->
        <div class="sidebar-heading">
            
        </div>

        <!-- Nav Item - Pages Collapse Menu -->
        <li class="nav-item">
            <a aria-controls="collapsePages" aria-expanded="true" class="nav-link collapsed"
               data-target="#collapsePages"
               data-toggle="collapse" href="#">
                <i class="fas fa-fw fa-folder"></i>
                <span>Pages</span>
            </a>
            <div aria-labelledby="headingPages" class="collapse" data-parent="#accordionSidebar" id="collapsePages">
                <div class="bg-white py-2 collapse-inner rounded">
                    
                   
                    <a class="collapse-item" routerLink="/register">Ajouter un agent</a>
                   
                   
                </div>
            </div>
        </li>

        <!-- Nav Item - Charts -->


        <!-- Nav Item - Tables -->
       
        <li class="nav-item">
            <a [routerLink]="'/cat'" class="nav-link">
                <i class="fas fa-user"></i>
                <span>categorie Client</span></a>
        </li>
        <li class="nav-item">
            <a [routerLink]="'/user'" class="nav-link">
                <i class="fa fa-users"></i>
                <span>agent</span></a>
        </li>
        <li class="nav-item">
            <a [routerLink]="'/carac'" class="nav-link">
                <i class="fas fa-fw fa-table"></i>
                <span>Caracterestique produit</span></a>
        </li>


        <!-- Divider -->
      

    </ul>
    <!-- End of Sidebar -->

    <!-- Content Wrapper -->
    <div class="d-flex flex-column" id="content-wrapper">

        <!-- Main Content -->
        <div id="content">

            <!-- Topbar -->
            <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

                <!-- Sidebar Toggle (Topbar) -->
                <button class="btn btn-link d-md-none rounded-circle mr-3" id="sidebarToggleTop">
                    <i class="fa fa-bars"></i>
                </button>

                <!-- Topbar Search -->
               

                <!-- Topbar Navbar -->
                <ul class="navbar-nav ml-auto">

                    <!-- Nav Item - Search Dropdown (Visible Only XS) -->
                    <li class="nav-item dropdown no-arrow d-sm-none">
                        <a aria-expanded="false" aria-haspopup="true" class="nav-link dropdown-toggle"
                           data-toggle="dropdown"
                           href="#" id="searchDropdown" role="button">
                            <i class="fas fa-search fa-fw"></i>
                        </a>
                        <!-- Dropdown - Messages -->
                       

                    <!-- Nav Item - Alerts -->
                

                    <!-- Nav Item - Messages -->
                   

                    <div class="topbar-divider d-none d-sm-block"></div>

                    <!-- Nav Item - User Information -->
                    <li class="nav-item dropdown no-arrow">
                        <a aria-expanded="false" aria-haspopup="true" class="nav-link dropdown-toggle"
                           data-toggle="dropdown"
                           href="#" id="userDropdown" role="button">
                            <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{user.name}}</span>
                            <img class="img-profile rounded-circle" src="https://source.unsplash.com/QAB-WJcbgJk/60x60">
                        </a>
                        <!-- Dropdown - User Information -->
                        <div aria-labelledby="userDropdown"
                             class="dropdown-menu dropdown-menu-right shadow animated--grow-in">
                           
                            
                           
                            <div class="dropdown-divider"></div>
                            <a (click)="deconnexion()" class="dropdown-item" data-target="#logoutModal"
                               data-toggle="modal">
                                <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                deconnexion
                            </a>
                            <a  [routerLink]="'/moncompte'" class="dropdown-item" data-target="#logoutModal"
                            data-toggle="modal">
                             <i class="fas fa-user"></i>
                             mon compte
                         </a>
                        </div>
                    </li>

                </ul>

            </nav>
      <div class="container-fluid">
        <div class="col-xl-3 col-md-6 mb-4">
          <div class="card border-left-success shadow h-100 py-2">
              <div class="card-body">
                  <div class="row no-gutters align-items-center">
                      <div class="col mr-2">
                          <div class="text-xs font-weight-bold text-success text-uppercase mb-1">nombre
                              des agences
                          </div>
                          <div class="h5 mb-0 font-weight-bold text-gray-800">{{count}}</div>
                      </div>
                      
                  </div>
              </div>
          </div>
      </div>
  
        <!-- Page Heading -->
    
      
        
                  
              
        <!-- DataTales Example -->
        <div class="card shadow mb-4">
          <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">Agence</h6>
            <input type="text" placeholder="search" [(ngModel)]="searchtext">
          </div>
          <div class="card-body">
            <button type="button" class="btn btn-info btn-lg"  routerLink="/addag" >Ajouter</button>
            <div class="table-responsive">
                            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                              <thead>
                                <tr>
                                  <th>#</th>
                                  <th>locale</th>
                                  <th>libelle</th>
                                  <th>action</th>
                                 
                                  
                                </tr>
                              </thead>
                              <tfoot>
                                <tr>
                                    <th>#</th>
                                    <th>locale</th>
                                    <th>libelle</th>
                                   
                                   
                                    <th>action</th>
            
                                </tr>
                              </tfoot>
                              <tbody>
                                <tr *ngFor="let a of ag |filter:searchtext|paginate: { itemsPerPage: 5, currentPage: p }; let i = index">
                                  <td>{{a.id}}</td>
                                  <td>{{a.locale}}</td>
                                  <td>{{a.libelle}}</td>
                                  <td><button  (click)= "delete(a.id)" class="btn btn-danger"><i class="fa fa-trash" aria-hidden="true"></i></button>&nbsp; <button  routerLink="/editag/{{a.id}}" class="btn btn-primary"><i class="fa fa-edit" aria-hidden="true"></i></button></td>
                                  
                                  
                                  
                                 
                                  
                                 
                                </tr>
                                
                              </tbody>
                            </table>
                            <pagination-controls (pageChange)="p = $event"></pagination-controls>
                          </div>
                        </div>
                      </div>
            
                    </div>
                    <!-- /.container-fluid -->
            
                  </div>
                  <!-- End of Main Content -->
            
                  <!-- Footer -->
                  <footer class="sticky-footer bg-white">
                    <div class="container my-auto">
                      <div class="copyright text-center my-auto">
                        <span>Copyright &copy; Your Website 2019</span>
                      </div>
                    </div>
                  </footer>
                  <!-- End of Footer -->
            
                </div>
                <!-- End of Content Wrapper -->
            
              </div>
              <!-- End of Page Wrapper -->
            
              <!-- Scroll to Top Button-->
              <a class="scroll-to-top rounded" href="#page-top">
                <i class="fas fa-angle-up"></i>
              </a>
            
              <!-- Logout Modal-->
              <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog" role="document">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
                      <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                      </button>
                    </div>
                    <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
                    <div class="modal-footer">
                      <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
                      <a class="btn btn-primary" href="login.html">Logout</a>
                    </div>
                  </div>
                </div>
              </div>
